## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Override versioning to sync with upstream
Epoch:    1
Version:  7.222
Release:  %autorelease
URL:      https://github.com/JulietaUla/Montserrat

%global         foundry         julietaula
%global         fontlicense     OFL
%global         fontlicenses    OFL.txt
%global         fontdocs        README.md AUTHORS.txt CONTRIBUTORS.txt DESCRIPTION.en_us.html
%global         fontdocsex      %{fontlicenses}

%global common_description %{expand:
A typeface inspired by signs around the Montserrat area \
of Buenos Aires, Argentina.}

%global fontfamily0       Montserrat
%global fontsummary0      Base version of the Montserrat area inspired typeface
%global fontpkgheader0    %{expand:
Obsoletes: julietaula-montserrat-fonts-common < %{version}-%{release}
}
%global fonts0            fonts/otf/Montserrat-*.otf
%global fontconfs0        %{SOURCE10}
%global fontdescription  %{expand:
%{common_description}

This package provide the base fonts.}


%global fontfamily1       Montserrat Alternates
%global fontsummary1      A Montserrat area inspired typeface family alternate version
%global fonts1            fonts/otf/MontserratAlternates-*.otf
%global fontconfs1        %{SOURCE11}
%global fontdescription1  %{expand:
%{common_description}

This package provide an alternate version of the fonts.}

Source0:  %{url}/archive/v%{version}.tar.gz#/Montserrat-%{version}.tar.gz
Source10: 61-%{fontpkgname0}.conf
Source11: 61-%{fontpkgname1}.conf

%fontpkg -a

%prep
%autosetup -n Montserrat-%{version}

%build
%fontbuild -a

%install
%fontinstall -a

%check
%fontcheck -a

%fontfiles -a

%changelog
* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.222-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.222-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.222-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.222-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct 26 2021 Parag Nemade <pnemade@fedoraproject.org> - 1:7.222-1
- Convert to follow new fonts packaging guidelines and update to new
  upstream release

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.210-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Mar 09 2021 Luya Tshimbalanga <luya@fedoraproject.org> - 1:7.210-6
- Add base and extra subpackage web fonts for Design Team

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.210-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.210-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri May 29 2020 Luya Tshimbalanga <luya@fedoraproject.org> - 1:7.210-3
- Update to 7.210

* Fri May 29 2020 Luya Tshimbalanga <luya@fedoraproject.org> - 1:7.210-2
- Update to 7.210

* Fri May 29 2020 Luya Tshimbalanga <luya@fedoraproject.org> - 1:7.210-1
- Update to 7.210

* Wed May 13 2020 Luya Tshimbalanga <luya@fedoraproject.org> - 1:7.200-11
- Minor conditional tweaks for ELN

* Wed May 13 2020 Troy Dawson <tdawson@fedoraproject.org> - 1:7.200-10
- Minor conditional tweaks for ELN

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.200-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.200-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.200-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Oct 27 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1:7.200-6
- Add missing epoch for dependencies rhbz#1643607 Shorten the description

* Sun Oct 21 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1:7.200-5
- Upload alternates-font files

* Sun Oct 21 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 1:7.200-4
- Update spec file adhering to Fedora Fonts guideline rhbz#1628832

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.200-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:7.200-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Nov 02 2017 Luya Tshimbalanga <luya@fedoraproject.org> - 1:7.200-1
- Upstream release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:6.002-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun May 21 2017 Luya Tshimbalanga <luya@fedoraproject.org> - 1:6.002-5
- Fix obsolete tag

* Mon May 15 2017 Luya Tshimbalanga <luya@fedoraproject.org> - 1:6.002-4
- Use Epoch to sync version with upstream Latest stable upstream release

* Mon May 15 2017 Luya Tshimbalanga <luya@fedoraproject.org> - 1:6.002-3
- upstream update

* Mon May 15 2017 Luya Tshimbalanga <luya@fedoraproject.org> - 1:6.002-2
- RPMAUTOSPEC: unresolvable merge
